function datePickerInit(id) {
  var hideDatePicker = function() {
    $('#mddtp-picker__date').addClass('mddtp-picker--inactive');
    $('.ftr-main').removeClass('overlay');
  };

  datePicker.trigger = document.getElementById(id);
  document.getElementById(id).addEventListener('click', function() {
    datePicker.show();
    $('.ftr-main').addClass('overlay');
    datePicker._switchToDateView(datePicker._sDialog.years, datePicker); // inicia com a escolha do ano
    onClickOut($('#mddtp-picker__date'), null, hideDatePicker, null, true, true);
  });
  document.getElementById(id).addEventListener('onOk', function() {
    $(this)
      .find('.ftr-js-field__entry')
      .val(datePicker.time.format('DD/MM/YYYY'))
      .addClass('on');
    $(this)
      .find('input[type=hidden]')
      .val(datePicker.time.format('DD/MM/YYYY'));
    $('.ftr-main').removeClass('overlay');
  });
}

if ($('#data_nascimento').length > 0) {
  var datePicker = new mdDateTimePicker.default({
    type: 'date',
    // init: moment('2016-03-3', 'YYYY-MM-DD'),
    init: moment().subtract(10, 'years'), // para data de nascimento
    orientation: 'PORTRAIT',
    future: moment(),
    past: moment().subtract(150, 'years'), // para data de nascimento
    autoClose: true,
  });
  datePickerInit('data_nascimento'); // parametro = id do elemento sem #
}
